Index: /extensions/stripped-galleria/admin/upgrade.inc.php
===================================================================
--- /extensions/stripped-galleria/admin/upgrade.inc.php	(revision 26670)
+++ /extensions/stripped-galleria/admin/upgrade.inc.php	(revision 26671)
@@ -7,16 +7,16 @@
 if (!isset($conf['stripped-galleria']))
 {
-    $config = array(
-	'clicknext'						=> false,
-	'transition'					=> 'slide'
-	'lightbox'						=> 'none'
-      );
-      
-    $query = "
+  $config = array(
+'clicknext'						=> false,
+'transition'					=> 'slide',
+'lightbox'						=> 'none'
+    );
+    
+  $query = "
 INSERT INTO " . CONFIG_TABLE . " (param,value,comment)
 VALUES ('stripped-galleria' , '".pwg_db_real_escape_string(serialize($config))."' , 'stripped-galleria theme parameters');";
 
-    pwg_query($query);
-
+  pwg_query($query);
+  load_conf_from_db();
 }
 
Index: /extensions/stripped-galleria/galleria/plugins/history/galleria.history.js
===================================================================
--- /extensions/stripped-galleria/galleria/plugins/history/galleria.history.js	(revision 26670)
+++ /extensions/stripped-galleria/galleria/plugins/history/galleria.history.js	(revision 26671)
@@ -1,10 +1,12 @@
 /**
- * @preserve Galleria History Plugin 2011-08-01
- * http://galleria.aino.se
+ * Galleria History Plugin 2012-04-04
+ * http://galleria.io
  *
- * Copyright 2011, Aino
- * Licensed under the MIT license.
+ * Licensed under the MIT license
+ * https://raw.github.com/aino/galleria/master/LICENSE
  *
  */
+
+(function( $, window ) {
 
 /*global jQuery, Galleria, window */
@@ -12,134 +14,132 @@
 Galleria.requires(1.25, 'The History Plugin requires Galleria version 1.2.5 or later.');
 
-(function( $, window ) {
+Galleria.History = (function() {
 
-    Galleria.History = (function() {
+    var onloads = [],
 
-        var onloads = [],
+        init = false,
 
-            init = false,
+        loc = window.location,
 
-            loc = window.location,
+        doc = window.document,
 
-            doc = window.document,
+        ie = Galleria.IE,
 
-            ie = Galleria.IE,
+        support = 'onhashchange' in window && ( doc.mode === undefined || doc.mode > 7 ),
 
-            support = 'onhashchange' in window && ( doc.mode === undefined || doc.mode > 7 ),
+        iframe,
 
-            iframe,
+        get = function( winloc ) {
+            if( iframe && !support && Galleria.IE ) {
+                winloc = winloc || iframe.location;
+            }  else {
+                winloc = loc;
+            }
+            return parseInt( winloc.hash.substr(2), 10 );
+        },
 
-            get = function( winloc ) {
-                if( iframe && !support && Galleria.IE ) {
-                    winloc = winloc || iframe.location;
-                }  else {
-                    winloc = loc;
-                }
-                return parseInt( winloc.hash.substr(2), 10 );
-            },
+        saved = get( loc ),
 
-            saved = get( loc ),
+        callbacks = [],
 
-            callbacks = [],
+        onchange = function() {
+            $.each( callbacks, function( i, fn ) {
+                fn.call( window, get() );
+            });
+        },
 
-            onchange = function() {
-                $.each( callbacks, function( i, fn ) {
-                    fn.call( window, get() );
-                });
-            },
+        ready = function() {
+            $.each( onloads, function(i, fn) {
+                fn();
+            });
 
-            ready = function() {
-                $.each( onloads, function(i, fn) {
-                    fn();
-                });
+            init = true;
+        },
 
-                init = true;
-            },
+        setHash = function( val ) {
+            return '/' + val;
+        };
 
-            setHash = function( val ) {
-                return '/' + val;
-            };
+    // always remove support if IE < 8
+    if ( support && ie < 8 ) {
+        support = false;
+    }
 
-        // always remove support if IE < 8
-        if ( support && ie < 8 ) {
-            support = false;
-        }
+    if ( !support ) {
 
-        if ( !support ) {
+        $(function() {
 
-            $(function() {
+            var interval = window.setInterval(function() {
 
-                var interval = window.setInterval(function() {
+                var hash = get();
 
-                    var hash = get();
-
-                    if ( !isNaN( hash ) && hash != saved ) {
-                        saved = hash;
-                        loc.hash = setHash( hash );
-                        onchange();
-                    }
-
-                }, 50);
-
-                if ( ie ) {
-
-                    $('<iframe tabindex="-1" title="empty">').hide().attr( 'src', 'about:blank' ).one('load', function() {
-
-                        iframe = this.contentWindow;
-
-                        ready();
-
-                    }).insertAfter(doc.body);
-
-                } else {
-                    ready();
-                }
-            });
-        } else {
-            ready();
-        }
-
-        return {
-
-            change: function( fn ) {
-
-                callbacks.push( fn );
-
-                if( support ) {
-                    window.onhashchange = onchange;
-                }
-            },
-
-            set: function( val ) {
-
-                if ( isNaN( val ) ) {
-                    return;
+                if ( !isNaN( hash ) && hash != saved ) {
+                    saved = hash;
+                    loc.hash = setHash( hash );
+                    onchange();
                 }
 
-                if ( !support && ie ) {
+            }, 50);
 
-                    this.ready(function() {
+            if ( ie ) {
 
-                        var idoc = iframe.document;
-                        idoc.open();
-                        idoc.close();
+                $('<iframe tabindex="-1" title="empty">').hide().attr( 'src', 'about:blank' ).one('load', function() {
 
-                        iframe.location.hash = setHash( val );
+                    iframe = this.contentWindow;
 
-                    });
-                }
+                    ready();
 
-                loc.hash = setHash( val );
-            },
+                }).insertAfter(doc.body);
 
-            ready: function(fn) {
-                if (!init) {
-                    onloads.push(fn);
-                } else {
-                    fn();
-                }
+            } else {
+                ready();
             }
-        };
-    }());
+        });
+    } else {
+        ready();
+    }
+
+    return {
+
+        change: function( fn ) {
+
+            callbacks.push( fn );
+
+            if( support ) {
+                window.onhashchange = onchange;
+            }
+        },
+
+        set: function( val ) {
+
+            if ( isNaN( val ) ) {
+                return;
+            }
+
+            if ( !support && ie ) {
+
+                this.ready(function() {
+
+                    var idoc = iframe.document;
+                    idoc.open();
+                    idoc.close();
+
+                    iframe.location.hash = setHash( val );
+
+                });
+            }
+
+            loc.hash = setHash( val );
+        },
+
+        ready: function(fn) {
+            if (!init) {
+                onloads.push(fn);
+            } else {
+                fn();
+            }
+        }
+    };
+}());
 
 }( jQuery, this ));
Index: /extensions/stripped-galleria/galleria/themes/classic/galleria.classic.js
===================================================================
--- /extensions/stripped-galleria/galleria/themes/classic/galleria.classic.js	(revision 26670)
+++ /extensions/stripped-galleria/galleria/themes/classic/galleria.classic.js	(revision 26671)
@@ -1,15 +1,14 @@
 /**
- * @preserve Galleria Classic Theme 2011-08-01
- * http://galleria.aino.se
+ * Galleria Classic Theme 2012-08-08
+ * http://galleria.io
  *
- * Copyright (c) 2011, Aino
- * Licensed under the MIT license.
+ * Licensed under the MIT license
+ * https://raw.github.com/aino/galleria/master/LICENSE
+ *
  */
 
-/*global jQuery, Galleria */
+(function($) {
 
-Galleria.requires(1.25, 'This version of Classic theme requires Galleria 1.2.5 or later');
-
-(function($) {
+/*global window, jQuery, Galleria */
 
 Galleria.addTheme({
@@ -26,4 +25,6 @@
     init: function(options) {
 
+        Galleria.requires(1.33, 'This version of Classic theme requires Galleria 1.3.3 or later');
+
         // add some elements
         this.addElement('info-link','info-close');
@@ -34,6 +35,5 @@
         // cache some stuff
         var info = this.$('info-link,info-close,info-text'),
-            touch = Galleria.TOUCH,
-            click = touch ? 'touchstart' : 'click';
+            touch = Galleria.TOUCH;
 
         // show loader & counter with opacity
@@ -49,5 +49,5 @@
         // toggle info
         if ( options._toggleInfo === true ) {
-            info.bind( click, function() {
+            info.bind( 'click:fast', function() {
                 info.toggle();
             });
@@ -72,7 +72,13 @@
                 }
             } else {
-                $(e.thumbTarget).css('opacity', this.getIndex() ? 1 : 0.6);
+                $(e.thumbTarget).css('opacity', this.getIndex() ? 1 : 0.6).bind('click:fast', function() {
+                    $(this).css( 'opacity', 1 ).parent().siblings().children().css('opacity', 0.6);
+                });
             }
         });
+
+        var activate = function(e) {
+            $(e.thumbTarget).css('opacity',1).parent().siblings().children().css('opacity', 0.6);
+        };
 
         this.bind('loadstart', function(e) {
@@ -80,8 +86,8 @@
                 this.$('loader').show().fadeTo(200, 0.4);
             }
-
+            window.setTimeout(function() {
+                activate(e);
+            }, touch ? 300 : 0);
             this.$('info').toggle( this.hasInfo() );
-
-            $(e.thumbTarget).css('opacity',1).parent().siblings().children().css('opacity', 0.6);
         });
 
Index: /extensions/stripped-galleria/themeconf.inc.php
===================================================================
--- /extensions/stripped-galleria/themeconf.inc.php	(revision 26670)
+++ /extensions/stripped-galleria/themeconf.inc.php	(revision 26671)
@@ -2,5 +2,5 @@
 /*
 Theme Name: stripped-galleria
-Version: Auto
+Version: 1.4.3
 Description: stripped-galleria theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=585
@@ -35,10 +35,9 @@
 if (!isset($strippedgalleria['lightbox'])) $strippedgalleria['lightbox']='none';
 
-// Access to HD and link to original
 
-add_event_handler('loc_end_index_thumbnails', 'add_thumbnails_hd_url', 50, 2);
-function add_thumbnails_hd_url($tpl_vars, $pictures)
+add_event_handler('loc_end_index_thumbnails', 'strippedgalleria_add_thumbnails_hd_url', 50, 2);
+function strippedgalleria_add_thumbnails_hd_url($tpl_vars)
 {
-	global $user;
+	global $user, $conf, $template, $page;
 	foreach($tpl_vars as &$x)
 	{
@@ -47,5 +46,30 @@
 	}
 	unset($x);
+  $stripped =  unserialize( $conf['stripped'] );
+  $strippedgalleria = unserialize( $conf['stripped-galleria'] );
+	$template->assign( 'stripped', $stripped );
+	$template->assign( 'strippedgalleria', $strippedgalleria );
+	$template->assign( 'get_root_url', get_root_url() );
+	if (!empty($page['section'])) $template->assign('section', $page['section']);
+	if (!empty($page['category']['id'])) $template->assign('catid', $page['category']['id']);
+	if (!empty($page['tag_ids'])) $template->assign('tagids', implode(',', $page['tag_ids']));
 	return $tpl_vars;
 }
+
+add_event_handler('loc_begin_page_header', 'strippedgalleria_header');
+function strippedgalleria_header()
+{
+  global $conf, $template;
+  $stripped =  unserialize( $conf['stripped'] );
+  $strippedgalleria = unserialize( $conf['stripped-galleria'] );
+	$template->assign( 'stripped', $stripped );
+	$template->assign( 'strippedgalleria', $strippedgalleria );
+}
+add_event_handler('loc_begin_index', 'strippedgalleria_add_downloadLink');
+function strippedgalleria_add_downloadLink()
+{
+  global $conf, $template;
+  $template->assign('downloadLink', $conf['picture_download_icon']);
+}
+
 ?>
